Bug 55782 - rpm upgrade kills service settings and snmpd.conf file
rpm upgrade kills service settings and snmpd.conf file
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-06 11:26 EST by Kambiz Aghaiepour
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-06 11:41:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kambiz Aghaiepour 2001-11-06 11:26:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7 i686)

Description of problem:
Upgrading to the latest version in RHN causes the service script to reset
to all OFF and you completely lose the /etc/snmp/snmpd.conf file (no
rpmsave, no rpmnew, no luck!)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download the latest package
2. rpm -Uvh ucd-snmp*.rpm

	

Additional info:
Comment 1 Phil Knirsch 2001-11-06 11:41:00 EST
This is very strange as the spec file contains this entry for the snmpd.conf file:

%config(noreplace,missingok) %{_sysconfdir}/snmp/snmpd.conf

Which means (IIRC) that the config fiel should never be replaced. Maybe the 6.2
original version had a wrong entry for the config file, but it shouldn't matter
as the new rpm should deal with the replacement/change of the config file.

I'll look into it.

Read ya, Phil
Comment 2 Kambiz Aghaiepour 2001-11-07 14:11:15 EST
I was in an alternate universe when I filed this bug.  I can't seem to reproduce
it.

Note You need to log in before you can comment on or make changes to this bug.